//
//  TourComboBoxViewController.h
//  TakeTours
//
//  Created by Vae on 2019/1/9.
//

#import <UIKit/UIKit.h>
#import <CoreLocation/CoreLocation.h>
#import "TableViewController.h"
#import "TourSearchBoxViewController.h"

@interface TourComboBoxViewController : UIViewController
@property (nonatomic, assign) BOOL allowsLocation;
@property (nonatomic, assign) BOOL isDestinations;
@property (nonatomic, assign) BOOL isMultipleSelection;
@property(nonatomic, strong) NSMutableArray *currentSearchObjectArray;
@property (nonatomic, copy) TourSearchBoxParam *tourSearchParam;

- (void)updatePlacemark:(CLPlacemark *)placemark;
- (void)setGeocodeBlock:(void (^)(TourComboBoxViewController *viewController))block;
- (void)setPlacemarkFormattingBlock:(NSString * (^)(CLPlacemark *placemark))block;
- (void)setPlacemarkTransformationBlock:(id (^)(CLPlacemark *placemark))block;

- (void)setSelectionChangedBlock:(void (^)(TourComboBoxViewController *viewController, id obj, id obj1))block;
- (void)setDidCancelBlock:(void (^)(void))block;
@end


