//
// TourSearchListViewController.h
// IvyMedia
//
// Created by haibara on 9/3/14.
//
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "TourWS.h"

@interface TourSearchListParam : NSObject

@property (nonatomic, strong) NSArray *destinations;
@property (nonatomic, strong) NSArray *departures;
@property (nonatomic, strong) NSArray *attractions;
@property (nonatomic, strong) NSArray *duration;
@property (nonatomic, strong) NSArray *startDates;
@property (nonatomic, strong) NSString *minPrice;
@property (nonatomic, strong) NSString *maxPrice;
@property (nonatomic, strong) NSString *keyWords;
@property (nonatomic, strong) NSArray *promotionType;

- (NSDictionary *)toParameters;

@end

@interface TourSearchPaginationParam : TourSearchListParam

@property (nonatomic, assign) NSInteger pageNumber;
@property (nonatomic, assign) NSInteger pageLength;

- (NSDictionary *)toParameters;

@end

@interface TourSearchListViewController : UITableViewController

@property (nonatomic, strong) TourSearchPaginationParam *tourSearchParam;

- (void)clearTourSearchResults;

@end
