//
// TourSearchListSmallViewCell.m
// LiveProject
//
// Created by Ziv on 15/10/16.
//
//

#import "TourSearchListSmallCell.h"
#import "SDK.h"
#import "CocoaUtils.h"
#import "DiscountTipTool.h"

@implementation TourSearchListSmallCell

- (void)awakeFromNib {
	[super awakeFromNib];
	// Initialization code
	
	self.tourOfLabel = [DiscountTipTool labelForDealsWithText:IMLocalizedString(@"Tour of the Day") font:[UIFont preferredFontForTextStyle:UIFontTextStyleCaption2]];
	[self.logoImageView addSubview:self.tourOfLabel];
	self.logoImageView.clipsToBounds = YES;
	
	[CocoaUtils fillSeparatorOfCell:self];
}

@end
